Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/38324/?format=api
{ "ob_id": 38324, "uuid": "fa7519c41af742d696729b0ac2db8148", "title": "Sentinel 3A Ocean and Land Colour Instrument (OLCI) Land Reduced Resolution (LRR) Level 2 data", "abstract": "This dataset contains ocean and land colour imagery data from the Ocean and Land Colour Instrument (OLCI) aboard the European Space Agency (ESA) Sentinel 3A Satellite. Sentinel 3A was launched on the 16th February 2016. Data are provided by ESA and are made available via CEDA to any registered user. The OLCI radiometer images using 21 spectral bands ranging from 400nm to 1020nm.\r\n\r\nThe OLCI Level-2 Land Reduced (OL_2_LRR) Resolution products are outputs from the OLCI Level-2 processor and contain land and atmospheric geophysical products at Reduced resolution.\r\n\r\nThe content of these files depends on several switches included in the OLCI configuration parameters. Each geophysical parameter format is only triggered if the corresponding switch is set to ‘1'. Note that all pixels flagged as cloudy are discarded from OLCI Level-2 processing.\r\n\r\nOL_2_LRR products have a spatial sampling of approximately 1.2 km for Reduced Resolution. The products are assumed to be computed in Near Real Time (NRT) (i.e. delivered to users less than 3 hours after acquisition), in Non-Time Critical (NTC) (i.e. within 1 month after acquisition) or in re-processed NTC.\r\n\r\nEach product provides as measurement data files:\r\n\r\n- Surface product as Green Instantaneous Fraction of Absorbed Photosynthetically Active Radiation (GI-FAPAR) and Terrestrial Chlorophyll Index (OTCI)\r\n- Atmosphere by-products as Integrated Water Vapour (IWV) column (this product also contains information for water pixels and is identical to that included in OL_2_WRR and OL_2_WFR)\r\n- Error estimates for all products.\r\n\r\nSeveral associated variables are also provided in the annotations data files:\r\n\r\n- Rectified reflectance for red and NIR channels (RC681 and RC865)\r\n- Classification, quality and science flags (LQSF)\r\n- Common data such as the ortho-geolocation of land pixels, solar and satellite angles, atmospheric and meteorological data, time stamp or instrument information. These variables are inherited from Level-1B products.", "keywords": "Sentinel, Ocean and Land Colour Instrument, OLCI", "publicationState": "published", "dataPublishedTime": "2022-12-20T13:52:46", "doiPublishedTime": null, "updateFrequency": "continual", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/38325/?format=api", "dataPath": "/neodc/sentinel3a/data/OLCI/L2_LRR/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 55368348523, "numberOfFiles": 922, "fileFormat": "These image files are in NETCDF4 format." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/4980/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data collected and prepared by European Space Agency (ESA). Downloaded from the ESA hubs for use by the UK scientific community.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12321/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/32818/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/186907/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182491/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182490/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182487/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182483/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182489/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182485/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182484/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182488/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182486/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/38858/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2586/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://sentinel.esa.int/documents/247904/690755/Sentinel_Data_Legal_Notice", "licenceClassifications": "any" } ], "discoveryKeywords": [] }